Bulletin d'alerte Debian

DSA-752-1 gzip -- Plusieurs vulnérabilités

Date du rapport :
11 juillet 2005
Paquets concernés :
gzip
Vulnérabilité :
Oui
Références dans la base de données de sécurité :
Dans le système de suivi des bogues Debian : Bogue 305255.
Dans le dictionnaire CVE du Mitre : CVE-2005-0988, CVE-2005-1228.
Plus de précisions :

Deux problèmes ont été découverts dans gzip, l'outil de compression du projet GNU. Le projet « Common Vulnerabilities and Exposures » a identifié les problèmes suivants :

  • CAN-2005-0988

    Imran Ghory a découvert une condition de concurrence dans le code d'attribution des permissions de gzip. Lors de la décompression par un utilisateur d'un fichier dans un répertoire auquel l'attaquant a accès, ce dernier peut amener gunzip à modifier les permissions d'un autre fichier comme aurait pu le faire l'utilisateur.

  • CAN-2005-1228

    Ulf Härnhammar a découvert une vulnérabilité de traversée de répertoire dans gunzip. Lorsque gunzip est utilisé avec l'option -N, l'attaquant peut utiliser cette vulnérabilité pour créer des fichiers dans un répertoire arbitraire avec les mêmes droits que l'utilisateur.

Pour l'ancienne distribution stable (Woody), ces problèmes ont été corrigés dans la version 1.3.2-3woody5.

Pour l'actuelle distribution stable (Sarge), ces problèmes ont été corrigés dans la version 1.3.5-10.

Pour la distribution instable (Sid), ces problèmes ont été corrigés dans la version 1.3.5-10.

Nous vous recommandons de mettre à jour votre paquet gzip.

Corrigé dans :

Debian GNU/Linux 3.0 (woody)

Source :
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5.dsc
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5.diff.gz
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2.orig.tar.gz
Alpha:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_alpha.deb
ARM:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_arm.deb
Intel IA-32:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_i386.deb
Intel IA-64:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_ia64.deb
HPPA:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_hppa.deb
Motorola 680x0:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_m68k.deb
Big endian MIPS:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_mips.deb
Little endian MIPS:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_mipsel.deb
PowerPC:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_powerpc.deb
IBM S/390:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_s390.deb
Sun Sparc:
http://security.debian.org/pool/updates/main/g/gzip/gzip_1.3.2-3woody5_sparc.deb

Les sommes MD5 des fichiers indiqués sont disponibles sur la page originale de l'alerte de sécurité.